File: test-requirements.txt

package info (click to toggle)
python-oslo.messaging 10.2.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 1,640 kB
  • sloc: python: 14,376; sh: 88; makefile: 24
file content (32 lines) | stat: -rw-r--r-- 940 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Hacking already pins down pep8, pyflakes and flake8
hacking>=1.1.0,<1.2.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
mock>=2.0.0 # BSD
stestr>=2.0.0 # Apache-2.0
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=2.2.0 # MIT
oslotest>=3.2.0 # Apache-2.0
pifpaf>=2.2.0 # Apache-2.0

# for test_impl_kafka
confluent-kafka>=0.11.6 # Apache-2.0

# when we can require tox>= 1.4, this can go into tox.ini:
#  [testenv:cover]
#  deps = {[testenv]deps} coverage
coverage!=4.4,>=4.0 # Apache-2.0

# AMQP 1.0 support depends on the Qpid Proton AMQP 1.0
# development libraries.
pyngus>=2.2.0 # Apache-2.0

# Bandit security code scanner
bandit>=1.1.0,<1.6.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
greenlet>=0.4.10 # MIT